package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class TcustpeopleDTO implements Serializable {

    private static final long serialVersionUID = 335555643668604L;

    private Integer tcustpeoplePK;

    private java.util.Date datefrom;

    private Integer recordversion;

    private String lastname;

    private String surename;

    private String firstname;

    private String middlename;

    private String maritalname;

    private String gender;

    private java.util.Date birthdate;

    private String ingressusercode;

    private String modifyusercode;

    private Integer codigosib;

    private Integer height;

    private Integer tcustperson;

    private Integer tgenecatalogdetail;

    private Integer tgenecatalogdetail1;

    private Integer tgenecatalogdetail2;

    private Integer tgenecatalogdetail3;

    private Integer tgenecity;

    private Integer nacionality;

    private Integer signaturecode;

    private Integer photocode;

    private Integer tgeneparroquia;

        public Integer getTcustpeoplePK() {
    return tcustpeoplePK;
    }

        public void setTcustpeoplePK(Integer tcustpeoplePK) {
    this.tcustpeoplePK = tcustpeoplePK;
    }

        public java.util.Date getDatefrom() {
    return datefrom;
    }

        public void setDatefrom(java.util.Date datefrom) {
    this.datefrom = datefrom;
    }

        public Integer getRecordversion() {
    return recordversion;
    }

        public void setRecordversion(Integer recordversion) {
    this.recordversion = recordversion;
    }

        public String getLastname() {
    return lastname;
    }

        public void setLastname(String lastname) {
    this.lastname = lastname;
    }

        public String getSurename() {
    return surename;
    }

        public void setSurename(String surename) {
    this.surename = surename;
    }

        public String getFirstname() {
    return firstname;
    }

        public void setFirstname(String firstname) {
    this.firstname = firstname;
    }

        public String getMiddlename() {
    return middlename;
    }

        public void setMiddlename(String middlename) {
    this.middlename = middlename;
    }

        public String getMaritalname() {
    return maritalname;
    }

        public void setMaritalname(String maritalname) {
    this.maritalname = maritalname;
    }

        public String getGender() {
    return gender;
    }

        public void setGender(String gender) {
    this.gender = gender;
    }

        public java.util.Date getBirthdate() {
    return birthdate;
    }

        public void setBirthdate(java.util.Date birthdate) {
    this.birthdate = birthdate;
    }

        public String getIngressusercode() {
    return ingressusercode;
    }

        public void setIngressusercode(String ingressusercode) {
    this.ingressusercode = ingressusercode;
    }

        public String getModifyusercode() {
    return modifyusercode;
    }

        public void setModifyusercode(String modifyusercode) {
    this.modifyusercode = modifyusercode;
    }

        public Integer getCodigosib() {
    return codigosib;
    }

        public void setCodigosib(Integer codigosib) {
    this.codigosib = codigosib;
    }

        public Integer getHeight() {
    return height;
    }

        public void setHeight(Integer height) {
    this.height = height;
    }

        public Integer getTcustperson() {
    return tcustperson;
    }

        public void setTcustperson(Integer tcustperson) {
    this.tcustperson = tcustperson;
    }

        public Integer getTgenecatalogdetail() {
    return tgenecatalogdetail;
    }

        public void setTgenecatalogdetail(Integer tgenecatalogdetail) {
    this.tgenecatalogdetail = tgenecatalogdetail;
    }

        public Integer getTgenecatalogdetail1() {
    return tgenecatalogdetail1;
    }

        public void setTgenecatalogdetail1(Integer tgenecatalogdetail1) {
    this.tgenecatalogdetail1 = tgenecatalogdetail1;
    }

        public Integer getTgenecatalogdetail2() {
    return tgenecatalogdetail2;
    }

        public void setTgenecatalogdetail2(Integer tgenecatalogdetail2) {
    this.tgenecatalogdetail2 = tgenecatalogdetail2;
    }

        public Integer getTgenecatalogdetail3() {
    return tgenecatalogdetail3;
    }

        public void setTgenecatalogdetail3(Integer tgenecatalogdetail3) {
    this.tgenecatalogdetail3 = tgenecatalogdetail3;
    }

        public Integer getTgenecity() {
    return tgenecity;
    }

        public void setTgenecity(Integer tgenecity) {
    this.tgenecity = tgenecity;
    }

        public Integer getNacionality() {
    return nacionality;
    }

        public void setNacionality(Integer nacionality) {
    this.nacionality = nacionality;
    }

        public Integer getSignaturecode() {
    return signaturecode;
    }

        public void setSignaturecode(Integer signaturecode) {
    this.signaturecode = signaturecode;
    }

        public Integer getPhotocode() {
    return photocode;
    }

        public void setPhotocode(Integer photocode) {
    this.photocode = photocode;
    }

        public Integer getTgeneparroquia() {
    return tgeneparroquia;
    }

        public void setTgeneparroquia(Integer tgeneparroquia) {
    this.tgeneparroquia = tgeneparroquia;
    }

}